/*
 *
 * (c) Copyright Ascensio System Limited 2010-2016
 *
 * This program is a free software product. You can redistribute it and/or
 * modify it under the terms of the GNU Affero General Public License (AGPL)
 * version 3 as published by the Free Software Foundation. In accordance with
 * Section 7(a) of the GNU AGPL its Section 15 shall be amended to the effect
 * that Ascensio System SIA expressly excludes the warranty of non-infringement
 * of any third-party rights.
 *
 * This program is distributed WITHOUT ANY WARRANTY; without even the implied
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR  PURPOSE. For
 * details, see the GNU AGPL at: http://www.gnu.org/licenses/agpl-3.0.html
 *
 * You can contact Ascensio System SIA at Lubanas st. 125a-25, Riga, Latvia,
 * EU, LV-1021.
 *
 * The  interactive user interfaces in modified source and object code versions
 * of the Program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU AGPL version 3.
 *
 * Pursuant to Section 7(b) of the License you must retain the original Product
 * logo when distributing the program. Pursuant to Section 7(e) we decline to
 * grant you any rights under trademark law for use of our trademarks.
 *
 * All the Product's GUI elements, including illustrations and icon sets, as
 * well as technical writing content are licensed under the terms of the
 * Creative Commons Attribution-ShareAlike 4.0 International. See the License
 * terms at http://creativecommons.org/licenses/by-sa/4.0/legalcode
 *
*/
Ext.define('DE.controller.Document', {
    extend: 'Ext.app.Controller',

    init: function() {
    },

    launch: function() {
        Ext.getCmp('id-conteiner-document').on('resize', this.onEditorResize, this);
    },

    setApi: function(o) {
        this.api = o;

        if (this.api) {
            this.api.asc_registerCallback('asc_onShowPopMenu', Ext.bind(this.onApiShowPopMenu, this));
            this.api.asc_registerCallback('asc_onHidePopMenu', Ext.bind(this.onApiHidePopMenu, this));
        }
    },

    onEditorResize: function(cmp) {
        if (this.api) {
            this.api.Resize();
            this.onApiHidePopMenu();
        }
    },

    onApiShowPopMenu: function(posX, posY) {
        var popClipCmp = Ext.ComponentQuery.query('popclip');

        if (popClipCmp.length > 0) {
            popClipCmp[0].setLeft(posX);
            popClipCmp[0].setTop(posY);
            popClipCmp[0].show();
        }
    },

    onApiHidePopMenu: function() {
        var popClipCmp = Ext.ComponentQuery.query('popclip');

        if (popClipCmp.length > 0) {
            popClipCmp[0].hide();
        }
    }
});
